Нужна библиотека libiconv.so.1 ещё для FreeBSD 4 версии

Простые/общие вопросы по UNIX системам. Спросите здесь, если вы новичок

Модераторы: vadim64, terminus

Правила форума
Убедительная просьба юзать теги [cоde] при оформлении листингов.
Сообщения не оформленные должным образом имеют все шансы быть незамеченными.
Аватара пользователя
korbnik
сержант
Сообщения: 262
Зарегистрирован: 2008-03-25 14:29:08
Откуда: Москва
Контактная информация:

Нужна библиотека libiconv.so.1 ещё для FreeBSD 4 версии

Непрочитанное сообщение korbnik » 2012-09-07 9:33:10

Добрый день!
Нужна ОЧЕНЬ библиотека libiconv.so.1 ещё для FreeBSD 4 версии.
В интернете всё облазил, не нашёл.
Может кто подскажет где взять.

Заранее благодарен. Борис.
Последний раз редактировалось f_andrey 2012-09-07 11:22:58, всего редактировалось 1 раз.
Причина: Автору, выбирайте пожалуйста раздел соответствуюший тематике вашего сообщения.
-= ФриБииСДи! И не БиСДи! =- Copyright (Korenev Boris)

Хостинговая компания Host-Food.ru
Хостинг HostFood.ru
 

Услуги хостинговой компании Host-Food.ru

Хостинг HostFood.ru

Тарифы на хостинг в России, от 12 рублей: https://www.host-food.ru/tariffs/hosting/
Тарифы на виртуальные сервера (VPS/VDS/KVM) в РФ, от 189 руб.: https://www.host-food.ru/tariffs/virtualny-server-vps/
Выделенные сервера, Россия, Москва, от 2000 рублей (HP Proliant G5, Intel Xeon E5430 (2.66GHz, Quad-Core, 12Mb), 8Gb RAM, 2x300Gb SAS HDD, P400i, 512Mb, BBU):
https://www.host-food.ru/tariffs/vydelennyi-server-ds/
Недорогие домены в популярных зонах: https://www.host-food.ru/domains/

Аватара пользователя
Shuba
ст. сержант
Сообщения: 365
Зарегистрирован: 2008-03-25 10:58:21
Откуда: Минск
Контактная информация:

Re: Нужна библиотека libiconv.so.1 ещё для FreeBSD 4 версии

Непрочитанное сообщение Shuba » 2012-09-07 9:52:19

ну так выкачал бы старый релиз и с него выдрал бы. Например здесь имеются ссылки
Сила ночи, сила дня - одинакова фигня!

ChihPih
ст. прапорщик
Сообщения: 566
Зарегистрирован: 2009-09-04 12:23:30
Откуда: Где-то в России...
Контактная информация:

Re: Нужна библиотека libiconv.so.1 ещё для FreeBSD 4 версии

Непрочитанное сообщение ChihPih » 2012-09-07 10:22:35

Или на официальном FTP архиве.
www.info-x.org - информационный ресурс о ОС FreeBSD.

Аватара пользователя
Shuba
ст. сержант
Сообщения: 365
Зарегистрирован: 2008-03-25 10:58:21
Откуда: Минск
Контактная информация:

Re: Нужна библиотека libiconv.so.1 ещё для FreeBSD 4 версии

Непрочитанное сообщение Shuba » 2012-09-07 11:03:21

ChihPih писал(а):Или на официальном FTP архиве.
Точно, что-то я там просматривал, как-то пропустил папку old-releases
Сила ночи, сила дня - одинакова фигня!

Аватара пользователя
korbnik
сержант
Сообщения: 262
Зарегистрирован: 2008-03-25 14:29:08
Откуда: Москва
Контактная информация:

Re: Нужна библиотека libiconv.so.1 ещё для FreeBSD 4 версии

Непрочитанное сообщение korbnik » 2012-09-07 13:40:27

Скачал я образ, но там только:

libiconv.a
libiconv.so
libiconv.so.3

а libiconv.so.1 нету.
-= ФриБииСДи! И не БиСДи! =- Copyright (Korenev Boris)

Аватара пользователя
korbnik
сержант
Сообщения: 262
Зарегистрирован: 2008-03-25 14:29:08
Откуда: Москва
Контактная информация:

Re: Нужна библиотека libiconv.so.1 ещё для FreeBSD 4 версии

Непрочитанное сообщение korbnik » 2012-09-07 14:24:16

Вообще проблема началась с того, что установил zabbix_agents_2.0.0.freebsd4_2.i386.tar.gz

И стал запускать:

Код: Выделить всё

[root@host] /home/user/> /usr/local/sbin/zabbix_agentd 
/usr/libexec/ld-elf.so.1: Shared object "libiconv.so.1" not found, required by "zabbix_agentd"
[root@host] /home/user/> 
Вот какая версия FreeBSD:

Код: Выделить всё

[root@host] /home/user/> uname -a
FreeBSD altair.msk.vbrr.loc 4.11-STABLE FreeBSD 4.11-STABLE #25: Fri Apr  7 00:07:33 MSD 2006     root@altair.rrdbank.lan:/usr/obj/usr/src/sys/MYKERN  i386
[root@host] /home/user/> 
Заранее благодарен.
-= ФриБииСДи! И не БиСДи! =- Copyright (Korenev Boris)

шёл_мимо
проходил мимо

Re: Нужна библиотека libiconv.so.1 ещё для FreeBSD 4 версии

Непрочитанное сообщение шёл_мимо » 2012-09-07 14:32:19

Сделать ссылку libiconv.so.1 на libiconv.so

Аватара пользователя
korbnik
сержант
Сообщения: 262
Зарегистрирован: 2008-03-25 14:29:08
Откуда: Москва
Контактная информация:

Re: Нужна библиотека libiconv.so.1 ещё для FreeBSD 4 версии

Непрочитанное сообщение korbnik » 2012-09-11 11:18:03

Сделал ссылку и всё пошло.

Спасибо за советы.
-= ФриБииСДи! И не БиСДи! =- Copyright (Korenev Boris)

Аватара пользователя
manefesto
Группенфюррер
Сообщения: 6934
Зарегистрирован: 2007-07-20 8:27:30
Откуда: Пермь
Контактная информация:

Re: Нужна библиотека libiconv.so.1 ещё для FreeBSD 4 версии

Непрочитанное сообщение manefesto » 2012-09-11 11:59:31

а вообще пересобрать libiconv надо было бы
я такой яростный шо аж пиздеЦ
Изображение